Page MenuHomePhabricator

Surfacing image content gap on Wikipedia
Closed, ResolvedPublic

Description

As a commons photographer, I'd like to know which domains or articles with a certain quantity of view per months that need an image on Wikipedia in order to focus on subject without pictures that would be interesting for readers.

Project is on GitHub: https://github.com/Commonists/SurfaceImageContentGap

Event Timeline

PierreSelim claimed this task.
PierreSelim raised the priority of this task from to Needs Triage.
PierreSelim updated the task description. (Show Details)
PierreSelim added a subscriber: PierreSelim.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2015, 2:10 PM
PierreSelim updated the task description. (Show Details)May 23 2015, 2:11 PM
PierreSelim set Security to None.
Qgil added a subscriber: Qgil.

Probably should rank articles according to the data from: http://stats.grok.se/json/fr/latest90/Paris

We have a first version that is working, I'm generating one report for the showcase.

Steinsplitter moved this task from Incoming to Backlog on the Commons board.Jun 1 2015, 2:15 PM
Qgil added a comment.EditedJun 4 2015, 10:43 AM

We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward.

  • If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start.
  • If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project.
  • If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Advocacy (or you can start by commenting here if you prefer).
  • Keeping the description, priority and assigned fields up to date always helps. :)

For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJun 27 2015, 7:07 PM
Qgil triaged this task as Normal priority.Jul 3 2015, 11:19 AM

So far I've added feature that helps generic search for content gap.

So I'm starting a new branch which aims at creating a webapp to command the bot (basically queueing work to do).

What is the status of this task, now that Wikimania 2015 is over? Did this hacking project take place and was successfully finished? If yes: Please provide an update and potentially summarize findings / provide a link to anything relevant (and if the task is not completely finished yet, please move the project to the "Work continues after Mexico City" column on the #Wikimania-Hackathon-2015 workboard). If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task. Thanks for your help and keeping this task updated!

Qgil added a comment.Sep 16 2015, 10:17 AM

A message to all open tasks related to the #Wikimania-Hackathon-2015. What do you need to complete this task? Do you need support from the Wikimedia Foundation to push it forward? Help promoting this project? Finding an intern to work on it? Organizing a developer sprint? Pitching it to WMF teams? Applying for a grant? If you need support, share your request at T107423: Evaluate which projects showcased at the Wikimania Hackathon 2015 should be supported further or contact me personally. Thank you!

Qgil added a comment.Oct 29 2015, 2:48 PM

@PierreSelim, is there anything we can do to help pushing this task?

Aklapper closed this task as Resolved.Jan 5 2018, 5:15 PM

@PierreSelim, is there anything we can do to help pushing this task?

No reply, hence unfortunately closing this task as there is no benefit in keeping this open.
Some work seems to happen / have happened at https://github.com/Commonists/SurfaceImageContentGap